Bug 207548 - perl-Config-Record: missing the dist tag
perl-Config-Record: missing the dist tag
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Config-Record (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-21 12:06 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 14:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add dist tag (and minor cleaning) (1.37 KB, patch)
2006-09-21 12:12 EDT, Jose Pedro Oliveira
no flags Details | Diff

  None (edit)
Description Jose Pedro Oliveira 2006-09-21 12:06:05 EDT
Description of problem:
This package specfile is missing the dist tag.

Version-Release number of selected component (if applicable):
perl-Config-Record-1.1.1-2
Comment 1 Jose Pedro Oliveira 2006-09-21 12:12:04 EDT
Created attachment 136873 [details]
Add dist tag (and minor cleaning)

Dennis,

This patch add the dist tag and also cleans of lines no longer needed
for fedora distros:
  - the perl_vendorlib macro conditional definition (already supplied by rpm)
  - the perl build requirement (perl is one of the building system packages
    and all fedora distros have perl > 5.8.0)
  - the perl(Test::More) build requirement (Test::More is a perl 5.8 core
package)

jpo
Comment 2 Dennis Gregorovic 2006-09-21 12:39:27 EDT
Thanks!  Patch applied.

Would you like a new build?
Comment 3 Jose Pedro Oliveira 2006-09-21 13:33:14 EDT
(In reply to comment #2)
> ...
> Would you like a new build?

Yes please.

Right now there are only 3 perl packages without a dist tag in the FE devel
repository (and we now have more than 450 packages in the perl- namespace).

Regards,
jpo
Comment 5 Jose Pedro Oliveira 2006-09-21 14:17:21 EDT
Thanks for the new build.

By the way, you can improve the test suite coverage by adding
    BuildRequires:  perl(Test::Pod)
    BuildRequires:  perl(Test::Pod::Coverage)
to the specfile (see the mock build log).

We are now down to 2 perl packages without the dist tag and both of them have
already have bugzilla tickets ;).

Regards,
jpo
Comment 6 Jose Pedro Oliveira 2006-09-22 14:17:55 EDT
Dennis,

Closing as perl-Config-Record-1.1.1-3.fc6.noarch.rpm is already available in the
mirrors.

Thanks,
jpo

Note You need to log in before you can comment on or make changes to this bug.